Makefile 18 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555
  1. # Makefile.in generated by automake 1.7.9 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. # $Id: Makefile.am 17 2004-01-23 23:25:07Z lennart $
  13. # This file is part of ifmetric.
  14. #
  15. # ifmetric is free software; you can redistribute it and/or modify it
  16. # under the terms of the GNU General Public License as published by
  17. # the Free Software Foundation; either version 2 of the License, or
  18. # (at your option) any later version.
  19. #
  20. # ifmetric is distributed in the hope that it will be useful, but
  21. # WITHOUT ANY WARRANTY; without even the implied warranty of
  22. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  23. # General Public License for more details.
  24. #
  25. # You should have received a copy of the GNU General Public License
  26. # along with ifmetric; if not, write to the Free Software Foundation,
  27. # Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
  28. srcdir = .
  29. top_srcdir = .
  30. pkgdatadir = $(datadir)/ifmetric
  31. pkglibdir = $(libdir)/ifmetric
  32. pkgincludedir = $(includedir)/ifmetric
  33. top_builddir = .
  34. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  35. INSTALL = /usr/bin/install -c
  36. install_sh_DATA = $(install_sh) -c -m 644
  37. install_sh_PROGRAM = $(install_sh) -c
  38. install_sh_SCRIPT = $(install_sh) -c
  39. INSTALL_HEADER = $(INSTALL_DATA)
  40. transform = $(program_transform_name)
  41. NORMAL_INSTALL = :
  42. PRE_INSTALL = :
  43. POST_INSTALL = :
  44. NORMAL_UNINSTALL = :
  45. PRE_UNINSTALL = :
  46. POST_UNINSTALL = :
  47. ACLOCAL = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run aclocal-1.7
  48. AMDEP_FALSE = #
  49. AMDEP_TRUE =
  50. AMTAR = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run tar
  51. AUTOCONF = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run autoconf
  52. AUTOHEADER = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run autoheader
  53. AUTOMAKE = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run automake-1.7
  54. AWK = gawk
  55. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  56. CCDEPMODE = depmode=gcc3
  57. CFLAGS = -g -O2 -pipe -Wall
  58. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  59. CPPFLAGS =
  60. CYGPATH_W = echo
  61. DEFS = -DHAVE_CONFIG_H
  62. DEPDIR = .deps
  63. ECHO_C =
  64. ECHO_N = -n
  65. ECHO_T =
  66. EGREP = grep -E
  67. EXEEXT =
  68. INSTALL_DATA = ${INSTALL} -m 644
  69. INSTALL_PROGRAM = ${INSTALL}
  70. INSTALL_SCRIPT = ${INSTALL}
  71. INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
  72. LDFLAGS =
  73. LIBOBJS = malloc$U.o realloc$U.o
  74. LIBS =
  75. LN_S = ln -s
  76. LTLIBOBJS = malloc$U.lo realloc$U.lo
  77. MAKEINFO = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run makeinfo
  78. OBJEXT = o
  79. PACKAGE = ifmetric
  80. PACKAGE_BUGREPORT = mzvszrgevp (at) 0pointer (dot) de
  81. PACKAGE_NAME = ifmetric
  82. PACKAGE_STRING = ifmetric 0.3
  83. PACKAGE_TARNAME = ifmetric
  84. PACKAGE_URL = http://0pointer.de/lennart/projects/ifmetric/
  85. PACKAGE_VERSION = 0.3
  86. PATH_SEPARATOR = :
  87. SET_MAKE =
  88. SHELL = /bin/bash
  89. STRIP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip
  90. USE_LYNX_FALSE = #
  91. USE_LYNX_TRUE =
  92. USE_XMLTOMAN_FALSE =
  93. USE_XMLTOMAN_TRUE = #
  94. VERSION = 0.3
  95. ac_ct_CC =
  96. ac_ct_STRIP =
  97. am__fastdepCC_FALSE = #
  98. am__fastdepCC_TRUE =
  99. am__include = include
  100. am__leading_dot = .
  101. am__quote =
  102. bindir = ${exec_prefix}/bin
  103. build_alias =
  104. datadir = ${prefix}/share
  105. exec_prefix = ${prefix}
  106. have_lynx = yes
  107. have_xmltoman = no
  108. host_alias = arm-linux-gnueabihf
  109. includedir = ${prefix}/include
  110. infodir = ${prefix}/info
  111. install_sh = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/install-sh
  112. libdir = ${exec_prefix}/lib
  113. libexecdir = ${exec_prefix}/libexec
  114. localstatedir = ${prefix}/var
  115. mandir = ${prefix}/man
  116. oldincludedir = /usr/include
  117. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/release
  118. program_transform_name = s,x,x,
  119. sbindir = ${exec_prefix}/sbin
  120. sharedstatedir = ${prefix}/com
  121. sysconfdir = ${prefix}/etc
  122. target_alias =
  123. EXTRA_DIST = bootstrap.sh README LICENSE
  124. SUBDIRS = src man doc
  125. MAINTAINERCLEANFILES = README
  126. noinst_DATA = README
  127. subdir = .
  128. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  129. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  130. CONFIG_HEADER = config.h
  131. CONFIG_CLEAN_FILES =
  132. DIST_SOURCES =
  133. DATA = $(noinst_DATA)
  134. RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
  135. ps-recursive install-info-recursive uninstall-info-recursive \
  136. all-recursive install-data-recursive install-exec-recursive \
  137. installdirs-recursive install-recursive uninstall-recursive \
  138. check-recursive installcheck-recursive
  139. DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure \
  140. Makefile.am aclocal.m4 config.h.in configure configure.ac \
  141. depcomp install-sh missing mkinstalldirs
  142. DIST_SUBDIRS = $(SUBDIRS)
  143. all: config.h
  144. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  145. .SUFFIXES:
  146. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  147. configure.lineno
  148. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  149. cd $(top_srcdir) && \
  150. $(AUTOMAKE) --foreign Makefile
  151. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  152. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  153. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  154. $(SHELL) ./config.status --recheck
  155. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  156. cd $(srcdir) && $(AUTOCONF)
  157. $(ACLOCAL_M4): configure.ac
  158. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  159. config.h: stamp-h1
  160. @if test ! -f $@; then \
  161. rm -f stamp-h1; \
  162. $(MAKE) stamp-h1; \
  163. else :; fi
  164. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  165. @rm -f stamp-h1
  166. cd $(top_builddir) && $(SHELL) ./config.status config.h
  167. $(srcdir)/config.h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  168. cd $(top_srcdir) && $(AUTOHEADER)
  169. touch $(srcdir)/config.h.in
  170. distclean-hdr:
  171. -rm -f config.h stamp-h1
  172. uninstall-info-am:
  173. # This directory's subdirectories are mostly independent; you can cd
  174. # into them and run `make' without going through this Makefile.
  175. # To change the values of `make' variables: instead of editing Makefiles,
  176. # (1) if the variable is set in `config.status', edit `config.status'
  177. # (which will cause the Makefiles to be regenerated when you run `make');
  178. # (2) otherwise, pass the desired values on the `make' command line.
  179. $(RECURSIVE_TARGETS):
  180. @set fnord $$MAKEFLAGS; amf=$$2; \
  181. dot_seen=no; \
  182. target=`echo $@ | sed s/-recursive//`; \
  183. list='$(SUBDIRS)'; for subdir in $$list; do \
  184. echo "Making $$target in $$subdir"; \
  185. if test "$$subdir" = "."; then \
  186. dot_seen=yes; \
  187. local_target="$$target-am"; \
  188. else \
  189. local_target="$$target"; \
  190. fi; \
  191. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  192. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  193. done; \
  194. if test "$$dot_seen" = "no"; then \
  195. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  196. fi; test -z "$$fail"
  197. mostlyclean-recursive clean-recursive distclean-recursive \
  198. maintainer-clean-recursive:
  199. @set fnord $$MAKEFLAGS; amf=$$2; \
  200. dot_seen=no; \
  201. case "$@" in \
  202. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  203. *) list='$(SUBDIRS)' ;; \
  204. esac; \
  205. rev=''; for subdir in $$list; do \
  206. if test "$$subdir" = "."; then :; else \
  207. rev="$$subdir $$rev"; \
  208. fi; \
  209. done; \
  210. rev="$$rev ."; \
  211. target=`echo $@ | sed s/-recursive//`; \
  212. for subdir in $$rev; do \
  213. echo "Making $$target in $$subdir"; \
  214. if test "$$subdir" = "."; then \
  215. local_target="$$target-am"; \
  216. else \
  217. local_target="$$target"; \
  218. fi; \
  219. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  220. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  221. done && test -z "$$fail"
  222. tags-recursive:
  223. list='$(SUBDIRS)'; for subdir in $$list; do \
  224. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  225. done
  226. ctags-recursive:
  227. list='$(SUBDIRS)'; for subdir in $$list; do \
  228. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  229. done
  230. ETAGS = etags
  231. ETAGSFLAGS =
  232. CTAGS = ctags
  233. CTAGSFLAGS =
  234. tags: TAGS
  235. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  236. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  237. unique=`for i in $$list; do \
  238. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  239. done | \
  240. $(AWK) ' { files[$$0] = 1; } \
  241. END { for (i in files) print i; }'`; \
  242. mkid -fID $$unique
  243. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  244. $(TAGS_FILES) $(LISP)
  245. tags=; \
  246. here=`pwd`; \
  247. if (etags --etags-include --version) >/dev/null 2>&1; then \
  248. include_option=--etags-include; \
  249. else \
  250. include_option=--include; \
  251. fi; \
  252. list='$(SUBDIRS)'; for subdir in $$list; do \
  253. if test "$$subdir" = .; then :; else \
  254. test -f $$subdir/TAGS && \
  255. tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  256. fi; \
  257. done; \
  258. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  259. unique=`for i in $$list; do \
  260. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  261. done | \
  262. $(AWK) ' { files[$$0] = 1; } \
  263. END { for (i in files) print i; }'`; \
  264. test -z "$(ETAGS_ARGS)$$tags$$unique" \
  265. || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  266. $$tags $$unique
  267. ctags: CTAGS
  268. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  269. $(TAGS_FILES) $(LISP)
  270. tags=; \
  271. here=`pwd`; \
  272. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  273. unique=`for i in $$list; do \
  274. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  275. done | \
  276. $(AWK) ' { files[$$0] = 1; } \
  277. END { for (i in files) print i; }'`; \
  278. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  279. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  280. $$tags $$unique
  281. GTAGS:
  282. here=`$(am__cd) $(top_builddir) && pwd` \
  283. && cd $(top_srcdir) \
  284. && gtags -i $(GTAGS_ARGS) $$here
  285. distclean-tags:
  286. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  287. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  288. top_distdir = .
  289. distdir = $(PACKAGE)-$(VERSION)
  290. am__remove_distdir = \
  291. { test ! -d $(distdir) \
  292. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  293. && rm -fr $(distdir); }; }
  294. GZIP_ENV = --best
  295. distuninstallcheck_listfiles = find . -type f -print
  296. distcleancheck_listfiles = find . -type f -print
  297. distdir: $(DISTFILES)
  298. $(am__remove_distdir)
  299. mkdir $(distdir)
  300. $(mkinstalldirs) $(distdir)/doc
  301. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  302. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  303. list='$(DISTFILES)'; for file in $$list; do \
  304. case $$file in \
  305. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  306. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  307. esac; \
  308. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  309. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  310. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  311. dir="/$$dir"; \
  312. $(mkinstalldirs) "$(distdir)$$dir"; \
  313. else \
  314. dir=''; \
  315. fi; \
  316. if test -d $$d/$$file; then \
  317. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  318. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  319. fi; \
  320. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  321. else \
  322. test -f $(distdir)/$$file \
  323. || cp -p $$d/$$file $(distdir)/$$file \
  324. || exit 1; \
  325. fi; \
  326. done
  327. list='$(SUBDIRS)'; for subdir in $$list; do \
  328. if test "$$subdir" = .; then :; else \
  329. test -d $(distdir)/$$subdir \
  330. || mkdir $(distdir)/$$subdir \
  331. || exit 1; \
  332. (cd $$subdir && \
  333. $(MAKE) $(AM_MAKEFLAGS) \
  334. top_distdir="$(top_distdir)" \
  335. distdir=../$(distdir)/$$subdir \
  336. distdir) \
  337. || exit 1; \
  338. fi; \
  339. done
  340. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  341. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  342. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  343. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  344. || chmod -R a+r $(distdir)
  345. dist-gzip: distdir
  346. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  347. $(am__remove_distdir)
  348. dist dist-all: distdir
  349. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  350. $(am__remove_distdir)
  351. # This target untars the dist file and tries a VPATH configuration. Then
  352. # it guarantees that the distribution is self-contained by making another
  353. # tarfile.
  354. distcheck: dist
  355. $(am__remove_distdir)
  356. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  357. chmod -R a-w $(distdir); chmod a+w $(distdir)
  358. mkdir $(distdir)/_build
  359. mkdir $(distdir)/_inst
  360. chmod a-w $(distdir)
  361. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  362. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  363. && cd $(distdir)/_build \
  364. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  365. $(DISTCHECK_CONFIGURE_FLAGS) \
  366. && $(MAKE) $(AM_MAKEFLAGS) \
  367. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  368. && $(MAKE) $(AM_MAKEFLAGS) check \
  369. && $(MAKE) $(AM_MAKEFLAGS) install \
  370. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  371. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  372. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  373. distuninstallcheck \
  374. && chmod -R a-w "$$dc_install_base" \
  375. && ({ \
  376. (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
  377. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  378. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  379. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  380. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  381. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  382. && rm -rf "$$dc_destdir" \
  383. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  384. && rm -f $(distdir).tar.gz \
  385. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  386. $(am__remove_distdir)
  387. @echo "$(distdir).tar.gz is ready for distribution" | \
  388. sed 'h;s/./=/g;p;x;p;x'
  389. distuninstallcheck:
  390. @cd $(distuninstallcheck_dir) \
  391. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  392. || { echo "ERROR: files left after uninstall:" ; \
  393. if test -n "$(DESTDIR)"; then \
  394. echo " (check DESTDIR support)"; \
  395. fi ; \
  396. $(distuninstallcheck_listfiles) ; \
  397. exit 1; } >&2
  398. distcleancheck: distclean
  399. @if test '$(srcdir)' = . ; then \
  400. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  401. exit 1 ; \
  402. fi
  403. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  404. || { echo "ERROR: files left in build directory after distclean:" ; \
  405. $(distcleancheck_listfiles) ; \
  406. exit 1; } >&2
  407. check-am: all-am
  408. check: check-recursive
  409. all-am: Makefile $(DATA) config.h
  410. installdirs: installdirs-recursive
  411. installdirs-am:
  412. install: install-recursive
  413. install-exec: install-exec-recursive
  414. install-data: install-data-recursive
  415. uninstall: uninstall-recursive
  416. install-am: all-am
  417. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  418. installcheck: installcheck-recursive
  419. install-strip:
  420. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  421. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  422. `test -z '$(STRIP)' || \
  423. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  424. mostlyclean-generic:
  425. clean-generic:
  426. distclean-generic:
  427. -rm -f $(CONFIG_CLEAN_FILES)
  428. maintainer-clean-generic:
  429. @echo "This command is intended for maintainers to use"
  430. @echo "it deletes files that may require special tools to rebuild."
  431. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  432. clean: clean-recursive
  433. clean-am: clean-generic mostlyclean-am
  434. distclean: distclean-recursive
  435. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  436. -rm -f Makefile
  437. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  438. dvi: dvi-recursive
  439. dvi-am:
  440. info: info-recursive
  441. info-am:
  442. install-data-am:
  443. install-exec-am:
  444. install-info: install-info-recursive
  445. install-man:
  446. installcheck-am:
  447. maintainer-clean: maintainer-clean-recursive
  448. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  449. -rm -rf $(top_srcdir)/autom4te.cache
  450. -rm -f Makefile
  451. maintainer-clean-am: distclean-am maintainer-clean-generic
  452. mostlyclean: mostlyclean-recursive
  453. mostlyclean-am: mostlyclean-generic
  454. pdf: pdf-recursive
  455. pdf-am:
  456. ps: ps-recursive
  457. ps-am:
  458. uninstall-am: uninstall-info-am
  459. uninstall-info: uninstall-info-recursive
  460. .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
  461. clean-generic clean-recursive ctags ctags-recursive dist \
  462. dist-all dist-gzip distcheck distclean distclean-generic \
  463. distclean-hdr distclean-recursive distclean-tags distcleancheck \
  464. distdir distuninstallcheck dvi dvi-am dvi-recursive info \
  465. info-am info-recursive install install-am install-data \
  466. install-data-am install-data-recursive install-exec \
  467. install-exec-am install-exec-recursive install-info \
  468. install-info-am install-info-recursive install-man \
  469. install-recursive install-strip installcheck installcheck-am \
  470. installdirs installdirs-am installdirs-recursive \
  471. maintainer-clean maintainer-clean-generic \
  472. maintainer-clean-recursive mostlyclean mostlyclean-generic \
  473. mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
  474. ps-recursive tags tags-recursive uninstall uninstall-am \
  475. uninstall-info-am uninstall-info-recursive uninstall-recursive
  476. README:
  477. rm -f README
  478. $(MAKE) -C doc README
  479. ln -s doc/README README
  480. homepage:
  481. test -d $$HOME/homepage/lennart
  482. mkdir -p $$HOME/homepage/lennart/projects/ifmetric
  483. cp *.tar.gz $$HOME/homepage/lennart/projects/ifmetric
  484. cp man/ifmetric.8.xml man/xmltoman.css man/xmltoman.xsl man/xmltoman.dtd doc/README.html doc/style.css $$HOME/homepage/lennart/projects/ifmetric
  485. cp $$HOME/homepage/lennart/projects/ifmetric/README.html $$HOME/homepage/lennart/projects/ifmetric/index.html
  486. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  487. # Otherwise a system limit (for SysV at least) may be exceeded.
  488. .NOEXPORT: